Skip to main content

Insights API

Endpoints for analytics, statistics, and reporting insights across leave, attendance, and timesheets.

All insights endpoints accept a period path parameter with the following allowed values:

  • 1year
  • 6months
  • 2years
  • 3years
  • all

Leave Insights​

Leave Request Summary​

Returns leave statistics grouped by status.

GET /insights/leave-summary/{period}

Leave Monthly Pattern​

Returns leave counts grouped by day of month.

GET /insights/leave-monthly-pattern/{period}

Leave Weekly Pattern​

Returns leave counts grouped by day of week.

GET /insights/leave-weekly-pattern/{period}

Leave Type Distribution​

Returns leave distribution by leave type.

GET /insights/leave-type-distribution/{period}

Leave by Department​

Returns leave requests grouped by department.

GET /insights/leave-by-department/{period}

Attendance Insights​

Attendance Summary​

Returns attendance statistics for the period.

GET /insights/attendance-summary/{period}

Attendance Monthly Pattern​

Returns attendance hours grouped by day of month.

GET /insights/attendance-monthly-pattern/{period}

Attendance Weekly Pattern​

Returns attendance hours grouped by day of week.

GET /insights/attendance-weekly-pattern/{period}

Timesheet Insights​

Timesheet Summary​

Returns timesheet entry statistics.

GET /insights/timesheet-summary/{period}

Timesheet Monthly Pattern​

Returns timesheet hours grouped by day of month.

GET /insights/timesheet-monthly-pattern/{period}

Timesheet Weekly Pattern​

Returns timesheet hours grouped by day of week.

GET /insights/timesheet-weekly-pattern/{period}